Package com.ocient.util

# Class MockQueryRegistry.RedirectLocation

java.lang.Object
com.ocient.util.MockQueryRegistry.RedirectLocation

Enclosing class:
  `MockQueryRegistry`

public static class MockQueryRegistry.RedirectLocation extends Object
Represents a redirect location.

## Constructor Summary

Constructors
Constructor
Description
`RedirectLocation()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHost()`
`int`
`getPort()`
`void`
`setHost(String host)`
`void`
`setPort(int port)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RedirectLocation

public RedirectLocation()

## Method Details

### getHost

public String getHost()

### setHost

public void setHost(String host)

### getPort

public int getPort()

### setPort

public void setPort(int port)